import { BaseXYSelector } from './Selector';
export declare class LassoSelector extends BaseXYSelector {
    render(): void;
    create_listeners(): void;
    change_color(model: any, color: any): void;
    create_new_lasso(): void;
    drag_start(): void;
    drag_move(): void;
    drag_end(): void;
    update_mark_selected(vertices?: any): void;
    relayout(): void;
    keydown(): void;
    reset(): void;
    selected_changed(): void;
    line: any;
    all_vertices: any;
    lasso_counter: number;
    background: any;
    current_vertices: any[];
}
